Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jexl.util.introspection
Interface VelMethod

All Known Implementing Classes:
  UberspectImpl.VelMethodImpl

public interface VelMethod

Method used for regular method invocation. $foo.bar()

Since:
  1.0
Version:
  $Id: VelMethod.java 398513 2006-05-01 03:42:52Z dion $

Method Summary
`String` | `getMethodName()` Gets the method name used.
`Class` | `getReturnType()` returns the return type of the method invoked.
`Object` | `invoke(Object o, Object[] params)` invocation method - called when the method invocation should be performed and a value returned.
`boolean` | `isCacheable()` specifies if this VelMethod is cacheable and able to be reused for this class of object it was returned for.

Method Detail

### invoke

    public Object invoke(Object o,
                         Object[] params)
                  throws Exception

  invocation method - called when the method invocation should be performed and a value returned.
  Parameters:
    `o` - the object
    `params` - method parameters.
  Returns:
    the result
  Throws:
    `Exception` - on any error.

### isCacheable

    public boolean isCacheable()

  specifies if this VelMethod is cacheable and able to be reused for this class of object it was returned for.
  Returns:
    true if can be reused for this class, false if not

### getMethodName

    public String getMethodName()

  Gets the method name used.
  Returns:
    method name

### getReturnType

    public Class getReturnType()

  returns the return type of the method invoked.
  Returns:
    return type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006 The Apache Software Foundation. All Rights Reserved.